Index: asp3_gr_sakura/trunk/tecsgen/tecsgen.rb
===================================================================
--- asp3_gr_sakura/trunk/tecsgen/tecsgen.rb	(revision 317)
+++ asp3_gr_sakura/trunk/tecsgen/tecsgen.rb	(revision 318)
@@ -7,68 +7,49 @@
 #   Copyright (C) 2008-2016 by TOPPERS Project
 #--
-#   ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)ï½(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
-#   ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
-#   å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
-#   (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
-#       æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
-#       ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
-#   (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
-#       ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
-#       è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
-#       ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
-#   (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
-#       ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
-#       ã¨ï¼
-#     (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
-#         ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
-#     (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
-#         å ±åãããã¨ï¼
-#   (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
-#       å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
-#       ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
-#       ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
-#       å
-è²¬ãããã¨ï¼
+#   上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
+#   ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+#   変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+#   (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+#       権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+#       スコード中に含まれていること．
+#   (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+#       用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+#       者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+#       の無保証規定を掲載すること．
+#   (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+#       用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+#       と．
+#     (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+#         作権表示，この利用条件および下記の無保証規定を掲載すること．
+#     (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+#         報告すること．
+#   (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+#       害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+#       また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+#       由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+#       免責すること．
 #  
-#   æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
-#   ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
-#   ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
-#   ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
-#   ã®è²¬ä»»ãè² ããªãï¼
+#   本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+#   よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+#   に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+#   アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+#   の責任を負わない．
 #  
-#   $Id: tecsgen.rb 2554 2016-02-27 06:11:34Z okuma-top $
+#   $Id$
 #++
 
-#= tecsgen  : TECS ã®ã¸ã§ãã¬ã¼ã¿
+#= tecsgen  : TECS のジェネレータ
 #
-#Authors::    ç³å·ãæä¹(HRP2Plugin)
-#Authors::    åããæ(åççµåä»æ§)
-#Authors::    æ²³ç°ãæºæ(NotifierPlugin)
-#Authors::    é«ç°ãåºç« (ASP3 ã¸ã® TECS çµè¾¼ã¿)
-#Authors::    é«æ¨ãä¿¡å°(ã©ã³ã¿ã¤ã ããã)
-#Authors::    æç¬ãæç¾(TECS flow å®è£
-)
-#Authors::    éµé£¼ãæ¬å¹¸(ATK1Plugin)
-#Authors::    å¤§å±±ãåå¸(ã¸ã§ãã¬ã¼ã¿å®è£
-, RPCPlugin, TracePlugin, MrubyBridgePlugin)
-#Authors::    å±±æ¬ãå°ä¹(ã¸ã§ãã¬ã¼ã¿åæãã­ãã¿ã¤ãå®è£
-)
-#Authors::    å°åãéé(ãã¹ãã³ã¼ãã®ä¸é¨)
-#Authors::    å®ç©ãåä¹(ASP+TECS, EV3RT+TECS, mruby on TECSç­å®è£
-)
+#Authors::    石川　拓也(HRP2Plugin)
+#Authors::    原　　拓(動的結合仕様)
+#Authors::    河田　智明(NotifierPlugin)
+#Authors::    高田　広章(ASP3 への TECS 組込み)
+#Authors::    高木　信尚(ランタイムヘッダ)
+#Authors::    成瀬　有美(TECS flow 実装)
+#Authors::    鵜飼　敬幸(ATK1Plugin)
+#Authors::    大山　博司(ジェネレータ実装, RPCPlugin, TracePlugin, MrubyBridgePlugin)
+#Authors::    山本　将也(ジェネレータ初期プロトタイプ実装)
+#Authors::    小南　靖雄(テストコードの一部)
+#Authors::    安積　卓也(ASP+TECS, EV3RT+TECS, mruby on TECS等実装)
 #  Authors list is in i-ro-ha order.
 #Version::   see version.rb
@@ -81,8 +62,8 @@
 
 ###
-#= Array  initializer ã® '{', '}' ã§å²ã¾ããå ´å
-# mikan AggregateInitializer ãªã©ãã¯ã©ã¹ãå¤æ´ãã¹ãã§ãã
+#= Array  initializer の '{', '}' で囲まれた場合
+# mikan AggregateInitializer など、クラスを変更すべきである
 class Array
-  #=== CDL ã®æå­åãçæãã
+  #=== CDL の文字列を生成する
   def to_CDL_str
     str = '{ '
@@ -105,13 +86,12 @@
 end
 
-#=== RUBY ã©ã¤ãã©ãªãã­ã¼ããã
+#=== RUBY ライブラリをロードする
 #
-# -L, $RUBYLIB, ã·ã¹ãã (/usr/lib/rub..ãªã©) ã®é ã«ãµã¼ããè¡ããã
-# exerb å¯¾å¿ã®ãããä¸è¨ãã¹ã«ãã¡ã¤ã«ãè¦ã¤ãããªãå ´å require ãå®è¡ãã¦ã¿ã
+# -L, $RUBYLIB, システム(/usr/lib/rub..など) の順にサーチが行われる
+# exerb 対応のため、上記パスにファイルが見つからない場合 require を実行してみる
 #
-# ãã©ã°ã¤ã³ã®å ´åã¯ b_fatal = false ãæå®ããã¡ã¤ã«ããªãã¦ãã¨ã©ã¼åºåå¾ãå¦çç¶è¡
-# b_fatal = false ã®å ´å tecslib/core ããµã¼ããã¹ã«è¿½å ããã
-#RETURN::Bool   : true=æåã false=å¤±æ   å¤±æããå ´åãGenerator.error ã¯å¼ã³å
-ã§åºåãã
+# プラグインの場合は b_fatal = false を指定。ファイルがなくてもエラー出力後、処理続行
+# b_fatal = false の場合 tecslib/core がサーチパスに追加される
+#RETURN::Bool   : true=成功、 false=失敗   失敗した場合、Generator.error は呼び元で出力する
 def require_tecsgen_lib( fname, b_fatal = true )
   dbgPrint( "require_lib: #{fname}\n")
@@ -121,12 +101,11 @@
     b_exception = false
 
-    # -L ã $RUBYLIB ã§æå®ããããã¹ããã³ã·ã¹ãã ã®ãã¹ãããµã¼ã
-    #   exerb ã§ã¯ $LOAD_PATH ã¯ ["."] ã®ã¿å
-¥ã£ã¦ããããã 
+    # -L 、 $RUBYLIB で指定されたパスおよびシステムのパスからサーチ
+    #   exerb では $LOAD_PATH は ["."] のみ入っているようだ
     ($library_path+$LOAD_PATH).each{ |path|
       [ "", "tecslib/plugin/" ].each { |lp|
         lib = File.expand_path( path ) + '/' + lp + fname
         
-        if File.exist? lib then  # ãã¡ã¤ã«å­å¦ã¨ä»ã®ã¨ã©ã¼ãåºå¥ããããå­å¨ç¢ºèªããã
+        if File.exist? lib then  # ファイル存否と他のエラーを区別するため存在確認をする
           begin
             require( lib )
@@ -145,7 +124,7 @@
 
     if b_require == false && b_exception == false then
-      # exerb å¯¾å¿ "." ããµã¼ããã¹ã®æåã«å ãã
-      #   "tecslib/" ã¯ RPCPlugin.rb, TracePlugin.rb ã®ããã«ç¨æãã¦ãã
-      #   RPCPlugin.rb, TracePlugin.rb ã tecslib ä¸ã§ãªããã°ä¸è¦ã«ãªããããã®ããã«ãã¦ãã
+      # exerb 対応 "." をサーチパスの最初に加える
+      #   "tecslib/" は RPCPlugin.rb, TracePlugin.rb のために用意してある
+      #   RPCPlugin.rb, TracePlugin.rb が tecslib 下でなければ不要になるが、このようにしておく
       ["","tecslib/plugin/"].each{ |lp|
         path = lp + fname
@@ -155,9 +134,9 @@
         rescue LoadError => e
           # p "LoadError to load #{fname}"
-          # 2015.12.18 exerb çã§ãã©ã°ã¤ã³ã®ã­ã¼ãã§ã¨ã©ã¼ãåºãã®ã§ãç¡è¦ãã. ããããæããã¨ã©ã¼ã¯åºã¦ãã
+          # 2015.12.18 exerb 版でプラグインのロードでエラーが出るので、無視する. おそらく昔からエラーは出ていた
           # print_exception( e )
         rescue Exception => e
           b_exception = true
-          # ææ³ã¨ã©ã¼ãªã©ãçºç
+          # 文法エラーなどが発生
           print_exception( e )
           break
@@ -167,9 +146,9 @@
 
     if b_require == false then
-      # è¦ã¤ãããªãã£ã
+      # 見つからなかった
       if b_exception == false then
         STDERR << "tecsgen: Fail to load #{fname}. Check $RUBYLIB environment variable or -L option\n"
       end
-      # tecsgen ãæ§æãããã¡ã¤ã«ã®å ´åã¯ä¸­æ­¢ãã
+      # tecsgen を構成するファイルの場合は中止する
       if b_fatal then
         STDERR << "tecsgen: Exit because of unrecoverble error\n"
@@ -180,13 +159,13 @@
     return true
   ensure
-    # $KCODE ã CDL ã®æå­ã³ã¼ãã«æ»ãã¦ãã
+    # $KCODE を CDL の文字コードに戻しておく
     set_kcode $KCODE_CDL
   end
 end
 
-#=== ä¾å¤ã®è¡¨ç¤º
+#=== 例外の表示
 #evar:: Exception
 def print_exception( evar )
-# ããã¹ã¿ãã¯ãã¬ã¼ã¹ãåºãã¾ã§ãæéãããããããªãã°ãæ¬¡ãã³ã¡ã³ãã¢ã¦ããã¦ã¿ãã¹ã
+# もしスタックトレースが出るまでい時間がかかるようならば、次をコメントアウトしてみるべし
   print "*** Begin Ruby exception message ***\n"
   puts( evar.to_s )
@@ -211,5 +190,5 @@
 end
 
-#=== ã¨ã©ã¼ããã³è­¦åã®ã¬ãã¼ã
+#=== エラーおよび警告のレポート
 def print_report
   msg = nil
@@ -229,5 +208,5 @@
 end
 
-#=== $KCODE ãè¨­å®
+#=== $KCODE を設定
 def set_kcode kcode
   if ! $b_no_kcode then
@@ -299,7 +278,7 @@
     # include RUNIT::Assert
 
-    ### ã°ã­ã¼ãã«å¤æ°å®ç¾© ###
-
-    # ã³ãã³ãã©ã¤ã³å¼æ°ã (Makefile.templ ã¸åºå)
+    ### グローバル変数定義 ###
+
+    # コマンドライン引数　 (Makefile.templ へ出力)
     $arguments = ""
     ARGV.each { |a| $arguments += " " + a }
@@ -325,7 +304,6 @@
     $ram_initializer = false # bool: generate ram initializer
     $region_list = {}      #string array : region path which is generated
-    $generating_region = nil # Region:  Region to optimisze & generate code   # ã³ãã³ãã©ã¤ã³ãªãã·ã§ã³ã§ã¯ãªã
-		 #           Cell#is_generate? ã«ã¦åç
-§ããã
+    $generating_region = nil # Region:  Region to optimisze & generate code   # コマンドラインオプションではない
+		 #           Cell#is_generate? にて参照される
     $unit_test = false     # bool:   unit test verification
     $kcode     = nil       # nil | String: Kanji code type "euc"|"sjis"|"none"|"utf8"
@@ -333,5 +311,5 @@
     $no_banner = false     # bool:   not print banner
     $print_version = false # bool:   print version
-    $target    = "tecs"    # String: target name, ARGV[0] ããåè¨­å®ããï¼"tecs" ã¯ä»®ã®ã¿ã¼ã²ãã)
+    $target    = "tecs"    # String: target name, ARGV[0] から再設定する（"tecs" は仮のターゲット)
     $no_default_import_path = false  # bool: no default import path
     $c_suffix  = "c"       # suffix for C progorams (for C++ source)
@@ -362,17 +340,17 @@
     end
 
-    # # æå­ã³ã¼ãã®è¨­å®
+    # # 文字コードの設定
     if $IN_EXERB then
-      # KCODE_CDL, $KCONV_CDL ãä»®ã«è¨­å®ãã (tecs_lang.rb ã§ããã«åè¨­å®ããã)
+      # KCODE_CDL, $KCONV_CDL を仮に設定する (tecs_lang.rb ですぐに再設定される)
       $KCODE_CDL = "SJIS"          # string: "EUC" | "SJIS" | "NONE" | "UTF8"
-      $KCONV_CDL = Kconv::SJIS     # const: NONE ã«ã¯ ASCII ãå¯¾å¿ããã
+      $KCONV_CDL = Kconv::SJIS     # const: NONE には ASCII を対応させる
     else
       $KCODE_CDL = "EUC"           # string: "EUC" | "SJIS" | "NONE" | "UTF8"
-      $KCONV_CDL = Kconv::EUC      # const: NONE ã«ã¯ ASCII ãå¯¾å¿ããã
-    end
-    # $KCODE_TECSGEN, $KCONV_TECSGEN ãä»®ã«è¨­å®ãã (tecs_lang.rb ã§ããã«åè¨­å®ããã)
-    $KCODE_TECSGEN = "UTF8"      # string: "EUC"  ãã®ãã¡ã¤ã«ã®æå­ã³ã¼ãï¼ãªãã·ã§ã³ã§ã¯ãªãå®æ°ï¼
+      $KCONV_CDL = Kconv::EUC      # const: NONE には ASCII を対応させる
+    end
+    # $KCODE_TECSGEN, $KCONV_TECSGEN を仮に設定する (tecs_lang.rb ですぐに再設定される)
+    $KCODE_TECSGEN = "UTF8"      # string: "EUC"  このファイルの文字コード（オプションではなく定数）
     $KCONV_TECSGEN = Kconv::UTF8 # const: 
-    set_kcode( $KCODE_TECSGEN )  # ãã®ãã¡ã¤ã«ã®æå­ã³ã¼ããè¨­å®
+    set_kcode( $KCODE_TECSGEN )  # このファイルの文字コードを設定
 
   end # initialize_global_var
@@ -380,5 +358,5 @@
   def self.analyze_option( additional_option_parser )
 
-    ###  tecsgen ã³ãã³ããªãã·ã§ã³è§£æ  ###
+    ###  tecsgen コマンドオプション解析  ###
     ARGV.options {|parser|
       parser.banner = "Usage: tecsgen [options] files"
@@ -428,5 +406,5 @@
         $kcode = code
       }
-      #  old_mode ã¯ V1.0.C.22 ã§å»æ­¢
+      #  old_mode は V1.0.C.22 で廃止
       #  parser.on('-o', '--old-mode',    'old mode' ){
       #    $old_mode = true
@@ -497,10 +475,10 @@
 
   def self.load_modules
-    ### tecsgen ã¢ã¸ã¥ã¼ã«ã®ã­ã¼ã ####
-    # -L ã§ãã¹æå®å¯è½ã¨ãããããããããã­ã¼ããéå§ãã
-
-    #  tecsgen ãã¼ã¸ã§ã³ãã¡ã¤ã«ã®ã­ã¼ã
-    # ãããå®è¡ããã¾ã§ tecsgen ã®ãã¼ã¸ã§ã³ãè¡¨ç¤ºã§ããªã
-    # ãã®ãã¡ã¤ã«ãèª¤ã£ã¦èª­ã¿è¾¼ãã¨ãç°ãªããã¼ã¸ã§ã³åãè¡¨ç¤ºãã¦ãã¾ã
+    ### tecsgen モジュールのロード ####
+    # -L でパス指定可能としたため、ここからロードを開始する
+
+    #  tecsgen バージョンファイルのロード
+    # これを実行するまで tecsgen のバージョンを表示できない
+    # このファイルを誤って読み込むと、異なるバージョン名を表示してしまう
     require_tecsgen_lib 'tecslib/version.rb'
     if ! $no_banner || $print_version
@@ -514,5 +492,5 @@
     end
 
-    # æå­ã³ã¼ãæ±ºå®ã®ããæåã«èª­ã¿ãã
+    # 文字コード決定のため最初に読みこむ
     require_tecsgen_lib 'tecslib/core/tecs_lang.rb'
 
@@ -523,5 +501,5 @@
     end
 
-    # syntaxobj.rb ã«ã¯ Node ãå®ç¾©ããã¦ããã®ã§ãæ©ãæ®µéã§ require 
+    # syntaxobj.rb には Node が定義されているので、早い段階で require 
     require_tecsgen_lib 'tecslib/core/syntaxobj.rb'
     require_tecsgen_lib 'tecslib/core/pluginModule.rb'
@@ -543,5 +521,5 @@
     require_tecsgen_lib 'tecslib/plugin/DomainPlugin.rb'
 
-    # C è¨èªãã¼ãµ
+    # C 言語パーサ
     require_tecsgen_lib 'tecslib/core/C_parser.tab.rb'
     require_tecsgen_lib 'tecslib/core/ctypes.rb'
@@ -554,10 +532,10 @@
 
   def self.setup
-    # $import_path, $tecspath ãèª¿æ´
+    # $import_path, $tecspath を調整
     TECSGEN.adjust_exerb_path
 
-    # $import_path ã«ç°å¢å¤æ° $TECSGEN ããã³ãã®ç´ä¸ãè¿½å 
+    # $import_path に環境変数 $TECSGEN およびその直下を追加
     if $no_default_import_path == false then
-      # $TECSGEN ããã³ããã®ç´ä¸ã®ãã£ã¬ã¯ããªããã¹ã«è¿½å 
+      # $TECSGEN および、その直下のディレクトリをパスに追加
       if $tecspath != "." then
         TECSGEN.add_import_path $tecspath
@@ -570,24 +548,24 @@
           }
         rescue
-          # ç¡è¦
+          # 無視
         end
       end
     end
 
-    # ããã©ã«ãè¨­å®
+    # デフォルト設定
     TECSGEN.set_default_config
 
-    # $target ã®è¨­å®
+    # $target の設定
     $target = ARGV[0]
     pos = $target.rindex( /[:\\\/]/ )
     if pos then
-      $target = $target[pos+1..-1]  # ãã£ã¬ã¯ããªåºåããé¤ããæå­å
+      $target = $target[pos+1..-1]  # ディレクトリ区切りを除いた文字列
     end
     pos = $target.rindex( /\./ )
     if pos then
-      $target = $target[0..pos-1]   # æ¡å¼µå­ãåãé¤ããæå­å
-    end
-
-    # gen ãã£ã¬ã¯ããªã®ä½æ
+      $target = $target[0..pos-1]   # 拡張子を取り除いた文字列
+    end
+
+    # gen ディレクトリの作成
     begin
       if ! File.directory?( $gen_base ) then
@@ -615,7 +593,6 @@
 end # TECSGEN
 
-# è¤æ°ã®ã¸ã§ãã¬ã¼ã¿ã¤ã³ã¹ã¿ã³ã¹ãçæãããã¨ã¯ãå¯è½ã ããä»¥ä¸ã®åé¡ããã
-#  ã¯ã©ã¹å¤æ°ã®ãªã»ãããç¢ºå®ã«è¡ãå¿
-è¦ããã
+# 複数のジェネレータインスタンスを生成することは、可能だが、以下の問題がある
+#  クラス変数のリセットを確実に行う必要がある
 
 if $TECSCDE != true then
